LR< T > Class Template Reference

Luby-Rackoff. More...

`#include <lubyrack.h>`

Inheritance diagram for LR< T >:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | BLOCKSIZE

## Detailed Description

### template<class T>
class LR< T >

Luby-Rackoff.

Definition at line 27 of file lubyrack.h.

The documentation for this class was generated from the following file:

- lubyrack.h